EMF::EMRLINETO Class Reference

EMF Line To. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRLINETO:

## Public Member Functions

| EMRLINETO (INT x, INT y)
| EMRLINETO (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Line To.

Draw a line using the current pen to the given position.

## Constructor & Destructor Documentation

## EMRLINETO() [1/2]

EMF::EMRLINETO::EMRLINETO | ( | INT | x,
|  | INT | y )

inline

Parameters

  x | x position to draw line to in logical coordinates.
  y | y position to draw line to in logical coordinates.

References EMRLINETO().

Referenced by EMRLINETO().

## EMRLINETO() [2/2]

EMF::EMRLINETO::EMRLINETO | ( | DATASTREAM & | ds | ) |

inline

Construct a LineTo record from the input stream.

Parameters

  ds | Metafile datastream

## Member Function Documentation

## execute()

void EMF::EMRLINETO::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRLINETO::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream

Implements EMF::METARECORD.

## size()

int EMF::EMRLINETO::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h